ull/5068

  

Description

As APIv1 gets older, its discouraged from using. I would suggest we extract it from Core to a plugin initially before officially dropping

support for it.

Associated revisions

Revision d4449f45 - 01/15/2018 01:25 PM - Tomer Brisker

Fixes #11389 - Remove API v1

API v1 has been deprecated since Foreman 1.9 - over 2 years ago.

This is more then enough time for anyone needing to migrate to v2.

Even though the original issue requests extraction to a plugin, I do not

see any point in investing the time and effort to maintain a long

deprecated API.

History

#1 - 02/03/2016 05:32 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tom Caspy

- Pull request https://github.com/theforeman/foreman/pull/3150 added

#2 - 07/01/2016 11:01 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Tom Caspy)

- Pull request deleted (https://github.com/theforeman/foreman/pull/3150)

PR was closed, resetting ticket.

#3 - 12/10/2017 09:15 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/5068 added

#4 - 01/15/2018 01:28 PM - Timo Goebel

- translation missing: en.field_release set to 330

#5 - 01/15/2018 02:02 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset d4449f454e7b46e0ffc74f128a6ce06c2eb9f67f.
